## clojure-mode 5.6.1

=== Makefile ===
CASK = cask
EMACS = emacs
EMACSFLAGS =
TESTFLAGS =

export EMACS

PKGDIR := $(shell EMACS=$(EMACS) $(CASK) package-directory)

SRCS = clojure-mode.el
OBJS = $(SRCS:.el=.elc)

.PHONY: compile test clean

compile: $(OBJS)

clean:
	rm -f $(OBJS)

test: $(PKGDIR)
	$(CASK) exec ert-runner $(TESTFLAGS)

%.elc : %.el $(PKGDIR)
	$(CASK) exec $(EMACS) -Q --batch $(EMACSFLAGS) -f batch-byte-compile $<

$(PKGDIR) : Cask
	$(CASK) install
	touch $(PKGDIR)

=== debian/changelog ===
clojure-mode (5.6.1-1) unstable; urgency=medium

  * Initial release (Closes: #885123).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 24 Dec 2017 21:55:03 +0000

=== debian/control ===
Source: clojure-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders:
 Sean Whitton <spwhitton@spwhitton.name>,
Build-Depends:
 debhelper (>= 10),
 dh-elpa,
 elpa-s,
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/clojure-mode.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/clojure-mode.git
Homepage: https://github.com/clojure-emacs/clojure-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-clojure-mode
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs (>= 46.0),
# insert in following line, when packaged: | elpa-smartparens
 elpa-paredit,
Suggests:
 elpa-clojure-mode-extra-font-locking,
# when packaged, add a new suggestion: elpa-inf-clojure | elpa-cider,
Enhances:
 emacs,
 emacs25,
Description: Emacs major mode for Clojure code
 Provides font-lock (syntax highlighting), indentation, navigation and basic
 refactoring for the Clojure programming language (http://clojure.org).
 .
 Also provides clojurescript-mode, clojurec-mode (for .cljc files) and
 clojurex-mode (for .cljx files).

Package: elpa-clojure-mode-extra-font-locking
Architecture: all
Depends:
 elpa-clojure-mode,
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs (>= 46.0),
Enhances:
 emacs,
 emacs25,
Description: extra font-locking for clojure-mode
 Provides additional font-locking (syntax highlighting) for clojure-mode.  See
 that package's description.

## clojure-mode 5.7.0

=== debian/changelog ===
clojure-mode (5.7.0-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Update Vcs to use salsa.
  * Update Maintainer Team name and email address.
  * Declare Standards-Version: 4.1.4. (No additional changes needed)

  [ Sean Whitton ]
  * New upstream release.
  * d/copyright updates:
    - Bump years
    - Add Benedek Fazekas.
  * Add d/elpa-test.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 20 May 2018 16:33:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: clojure-mode
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
  Sean Whitton <spwhitton@spwhitton.name>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 10~),
  dh-elpa,
  elpa-s,
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/clojure-mode.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/clojure-mode.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/emacsen-team/clojure-mode
+Vcs-Git: https://salsa.debian.org/emacsen-team/clojure-mode.git
 Homepage: https://github.com/clojure-emacs/clojure-mode
 Testsuite: autopkgtest-pkg-elpa

## clojure-mode 5.8.1

=== debian/changelog ===
clojure-mode (5.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Suggest elpa-cider.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 06 Jul 2018 08:35:49 +0100

## clojure-mode 5.9.0

=== debian/changelog ===
clojure-mode (5.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 25 Aug 2018 09:37:01 -0700

## clojure-mode 5.9.1

=== debian/changelog ===
clojure-mode (5.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Sep 2018 11:15:56 -0700

## clojure-mode 5.10.0

=== Makefile ===
CASK = cask
export EMACS ?= emacs
EMACSFLAGS =
TESTFLAGS =

PKGDIR := $(shell EMACS=$(EMACS) $(CASK) package-directory)

SRCS = $(wildcard *.el)
OBJS = $(SRCS:.el=.elc)

.PHONY: compile test clean

elpa:
	$(CASK) install
	$(CASK) update
	touch $@

compile: $(OBJS)

clean:
	rm -f $(OBJS)

test: $(PKGDIR)
	$(CASK) exec ert-runner $(TESTFLAGS)

test-checks:
	$(CASK) exec $(EMACS) --no-site-file --no-site-lisp --batch \
		-l test/test-checks.el ./

test-bytecomp: $(SRCS:.el=.elc-test)

%.elc-test: %.el elpa
	$(CASK) exec $(EMACS) --no-site-file --no-site-lisp --batch \
		-l test/clojure-mode-bytecomp-warnings.el $

=== debian/changelog ===
clojure-mode (5.10.0-3) unstable; urgency=medium

  * Team upload
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2021 16:12:25 -0400

clojure-mode (5.10.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sat, 24 Aug 2019 15:59:52 -0300

clojure-mode (5.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Jan 2019 09:23:09 -0700

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
  elpa-paredit,
 Suggests:
  elpa-clojure-mode-extra-font-locking,
-# when packaged, add a new suggestion: elpa-inf-clojure | elpa-cider,
+# insert in following line, when packaged: elpa-inf-clojure |
+ elpa-cider,
 Enhances:
  emacs,
  emacs25,

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/clojure-mode-$1.tar.gz/" \
    https://github.com/clojure-emacs/clojure-mode/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## clojure-mode 5.18.1

=== debian/changelog ===
clojure-mode (5.18.1-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:48:27 +0900

clojure-mode (5.18.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:22:14 +0900

clojure-mode (5.18.1-2) unstable; urgency=medium

  [ Xiyue Deng ]
  * Adopt package (Closes: #952808).
  * Backport upstream commit af0e518 to fix lexical binding in tests.
  * Disable autopkgtest as it requires running in the source directory
    (Closes: #1067131).
  * Override and disable dh_auto_test which uses eldev.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 20 Mar 2024 17:23:55 +0800

clojure-mode (5.18.1-1) unstable; urgency=medium

  * Team upload.

  [ Xiyue Deng ]
  * New upstream release (Closes: #1052961).
  * Migrate from d/compat to debhelper-compat version 13.
  * Drop emacs version requirements that have been met since oldoldstable.
  * Update Standards-Version to 4.6.2.  No change needed.
  * Modernize d/watch using special strings.
  * Add d/upstream/metadata.
  * Update year and add Upstream-Contact in d/copyright.
  * Add d/gbp.conf.
  * Add elpa-buttercup and elpa-paredit to Build-Depends to enable tests.
  * Override auto clean to avoid dependency on eldev in d/rules.

  [ Sean Whitton ]
  * Update path in d/elpa-test.
  * Update copyright years.

  [ Nicholas D Steeves ]
  * Drop emacs25 from Enhances (package does not exist in bullseye).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 09 Dec 2023 16:23:42 +0000

clojure-mode (5.10.0-4) unstable; urgency=medium

  * Team upload.
  * clojure-mode.el: Patch file to fix FTBFS with Emacs 28.
    (Closes: #1020164)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 02 Mar 2023 23:43:23 -0500

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
- Sean Whitton <spwhitton@spwhitton.name>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 13),
  dh-elpa,
+ elpa-buttercup,
  elpa-s,
-Standards-Version: 4.1.4
+ elpa-paredit,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/clojure-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/clojure-mode.git
 Homepage: https://github.com/clojure-emacs/clojure-mode
@@ -20,7 +22,7 @@
  ${elpa:Depends},
  ${misc:Depends},
 Recommends:
- emacs (>= 46.0),
+ emacs,
 # insert in following line, when packaged: | elpa-smartparens
  elpa-paredit,
 Suggests:
@@ -28,8 +30,7 @@
 # insert in following line, when packaged: elpa-inf-clojure |
  elpa-cider,
 Enhances:
- emacs,
- emacs25,
+ emacs
 Description: Emacs major mode for Clojure code
  Provides font-lock (syntax highlighting), indentation, navigation and basic
  refactoring for the Clojure programming language (http://clojure.org).
@@ -44,10 +45,9 @@
  ${elpa:Depends},
  ${misc:Depends},
 Recommends:
- emacs (>= 46.0),
+ emacs,
 Enhances:
  emacs,
- emacs25,
 Description: extra font-locking for clojure-mode
  Provides additional font-locking (syntax highlighting) for clojure-mode.  See
  that package's description.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Skip build which uses eldev

override_dh_auto_test:
	@echo Skip test which uses eldev

override_dh_auto_clean:
	find $(curdir) -name "*.elc" -exec rm -f "{}" \;

## clojure-mode 5.19.0

=== debian/changelog ===
clojure-mode (5.19.0-1) unstable; urgency=medium

  * New upstream release
  * Add d/salsa-ci.yml with default settings
  * Stop using single-debian-patch to be compatible with dgit
  * Update Standards-Version to 4.7.0; no change needed
  * Keep testing files
  * Add patch to drop code for detecting clojure-mode source directory
    - This fixes autopkgtest stucking
  * Reinstate dh_elpa_test now that autopkgtest is fixed
  * Update debian copyright year in d/copyright
  * Add `Rules-Requires-Rules: no' in d/control

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 25 Jul 2024 23:35:44 -0700

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
  elpa-buttercup,
  elpa-s,
  elpa-paredit,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/clojure-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/clojure-mode.git
 Homepage: https://github.com/clojure-emacs/clojure-mode
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-clojure-mode

## clojure-mode 5.20.0

=== Makefile ===
.PHONY: clean compile lint test all
.DEFAULT_GOAL := all

clean:
	eldev clean

lint: clean
	eldev lint -c

# Checks for byte-compilation warnings.
compile: clean
	 eldev -dtT compile --warnings-as-errors

test: clean
	eldev -dtT -p test

all: clean compile lint test

=== debian/changelog ===
clojure-mode (5.20.0-1) unstable; urgency=medium

  * New upstream release
  * Drop drop-code-for-detecting-clojure-mode-sou.patch; merged upstream
  * Mark build-dependencies used in tests as "<!nocheck>"
  * Update Standards-Version to 4.7.2; no change needed
  * Update d/gbp.conf to match the current practice
    - Do not use xz compression to be consistent with upstream.
    - Drop commented upstream-branch which does not exist.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 31 May 2025 16:21:20 -0700

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa,
- elpa-buttercup,
- elpa-s,
- elpa-paredit,
-Standards-Version: 4.7.0
+ elpa-buttercup <!nocheck>,
+ elpa-s <!nocheck>,
+ elpa-paredit <!nocheck>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/clojure-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/clojure-mode.git
 Homepage: https://github.com/clojure-emacs/clojure-mode

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Skip build which uses eldev

override_dh_auto_clean:
	find $(curdir) -name "*.elc" -exec rm -f "{}" \;

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/clojure-mode-$1.tar.gz/" \
    https://github.com/clojure-emacs/clojure-mode/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## clojure-mode 5.21.0

=== debian/changelog ===
clojure-mode (5.21.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 22 Feb 2026 03:40:04 -0800

clojure-mode (5.20.0-2) unstable; urgency=medium

  * Migrate d/watch to rfc822-style version 5 format
  * Drop elpa-cider from Suggests: no longer available in Debian
    (Closes: #1117824)
  * Drop `Rules-Requires-Root: no'
    - This is the default since dpkg 1.22.13.
  * Update section from lisp to editors

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 11 Oct 2025 21:04:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: clojure-mode
-Section: lisp
-Priority: optional
+Section: editors
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
  Xiyue Deng <manphiz@gmail.com>,
@@ -10,11 +9,10 @@
  elpa-buttercup <!nocheck>,
  elpa-s <!nocheck>,
  elpa-paredit <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/emacsen-team/clojure-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/clojure-mode.git
 Homepage: https://github.com/clojure-emacs/clojure-mode
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-clojure-mode
@@ -28,8 +26,6 @@
  elpa-paredit,
 Suggests:
  elpa-clojure-mode-extra-font-locking,
-# insert in following line, when packaged: elpa-inf-clojure |
- elpa-cider,
 Enhances:
  emacs
 Description: Emacs major mode for Clojure code
